classification
Title: Lib/trace.cover not removed by the clean target
Type: Stage: resolved
Components: Build Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, berker.peksag, doko, miss-islington, pablogsal, serhiy.storchaka, zach.ware
Priority: normal Keywords: patch

Created on 2018-07-20 16:08 by doko, last changed 2018-12-15 14:03 by cheryl.sabella. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8666 closed berker.peksag, 2018-08-03 21:54
PR 8841 merged serhiy.storchaka, 2018-08-20 21:46
PR 8919 merged miss-islington, 2018-08-25 07:28
PR 8940 merged serhiy.storchaka, 2018-08-26 15:22
PR 8951 merged miss-islington, 2018-08-27 10:11
Messages (15)
msg322026 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2018-07-20 16:08
Lib/trace.cover is not removed by the clean target, and apparently this file is always created in the source tree, not in the build tree.  It should be created in the build tree, if that's not possible, it should be cleaned in any case.
msg323057 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2018-08-03 14:52
It seems that this file is left by test_trace after commit 47ab15470d72367694d7758004067313ae022f0e.
msg323812 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-08-20 21:48
PR 8841 prevents creating Lib/trace.cover when run the trace module.
msg324045 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-08-25 07:27
New changeset c406d5cd74002964a64c3eb7d9e2445a7fd3a03f by Serhiy Storchaka in branch 'master':
bpo-34171: Prevent creating Lib/trace.cover when run the trace module. (GH-8841)
https://github.com/python/cpython/commit/c406d5cd74002964a64c3eb7d9e2445a7fd3a03f
msg324049 - (view) Author: miss-islington (miss-islington) Date: 2018-08-25 07:47
New changeset 80e9fedcf579537c5bc51ff3c9c18d14d9598564 by Miss Islington (bot) in branch '3.7':
bpo-34171: Prevent creating Lib/trace.cover when run the trace module. (GH-8841)
https://github.com/python/cpython/commit/80e9fedcf579537c5bc51ff3c9c18d14d9598564
msg324062 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-08-25 12:33
Several buildbots are failing due to commit c406d5cd74002964a64c3eb7d9e2445a7fd3a03f:

https://buildbot.python.org/all/#/builders/40/builds/709
https://buildbot.python.org/all/#/builders/21/builds/1459
https://buildbot.python.org/all/#/builders/13/builds/1476
https://buildbot.python.org/all/#/builders/53/builds/1470
https://buildbot.python.org/all/#/builders/133/builds/477
https://buildbot.python.org/all/#/builders/145/builds/327
https://buildbot.python.org/all/#/builders/85/builds/1302
https://buildbot.python.org/all/#/builders/141/builds/358
https://buildbot.python.org/all/#/builders/126/builds/564
https://buildbot.python.org/all/#/builders/147/builds/213
https://buildbot.python.org/all/#/builders/119/builds/611
https://buildbot.python.org/all/#/builders/116/builds/590
https://buildbot.python.org/all/#/builders/143/builds/233
https://buildbot.python.org/all/#/builders/93/builds/1072
https://buildbot.python.org/all/#/builders/3/builds/1257
https://buildbot.python.org/all/#/builders/32/builds/1331
https://buildbot.python.org/all/#/builders/115/builds/520
https://buildbot.python.org/all/#/builders/128/builds/571
https://buildbot.python.org/all/#/builders/99/builds/1335
https://buildbot.python.org/all/#/builders/121/builds/497
https://buildbot.python.org/all/#/builders/113/builds/540
https://buildbot.python.org/all/#/builders/154/builds/166

Sample error:

======================================================================
FAIL: test_cover_files_written_no_highlight (test.test_trace.TestCoverageCommandLineOutput)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/buildbot/buildarea/cpython/3.x.ware-gentoo-x86.nondebug/build/Lib/test/test_trace.py", line 393, in test_cover_files_written_no_highlight
    self.assertFalse(os.path.exists(tracecoverpath))
AssertionError: True is not false
----------------------------------------------------------------------
Ran 21 tests in 17.796s
FAILED (failures=1)
test test_trace failed
1 test failed again:
    test_trace
msg324064 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-08-25 13:12
Seems this is a temporary issue. Tests are failed due to trace.cover files left from previous runs. Recreating the working space from zero should fix the issue, but I don't know how to do this on all buildbots.
msg324065 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-08-25 13:17
@zach.ware Is there a way to clean the workspace of these buildbots programmatically/from the UI? I can do it myself if you tell me how it must be done.
msg324074 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2018-08-25 15:55
No, there isn't.  However, https://github.com/python/buildmaster-config/pull/43 should help; I'll try to get that deployed later today.
msg324112 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2018-08-26 07:22
It looks like https://github.com/python/buildmaster-config/pull/43 won't actually help; I changed it to use `method='clean'` because we don't want to blow away the `externals` directory on Windows buildbots, and `*.cover` is in `.gitignore` so `Lib/trace.cover` will not be removed.
msg324120 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-08-26 15:10
Can we manually ssh into the buildbots from the buildbot master and delete the file?
msg324121 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-08-26 15:24
It may be easier to remove "trace.cover" before testing every time than clean up all buildbots once.
msg324126 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2018-08-26 17:15
> Can we manually ssh into the buildbots from the buildbot master and delete the file?

No, there is no access to the workers except for the connection created by each worker for the purpose of buildbot communication (and individually by each worker owner).

> It may be easier to remove "trace.cover" before testing every time than clean up all buildbots once.

I agree.  Alternately, the test could be changed to avoid that assertion; it's strange that the test could fail just because a file could happen to exist outside of the test's control.
msg324163 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-08-27 10:10
New changeset b44a1d4f71daf4edb948b9878f82a60891e4a2e1 by Serhiy Storchaka in branch 'master':
bpo-34171: Fix test_trace. (GH-8940)
https://github.com/python/cpython/commit/b44a1d4f71daf4edb948b9878f82a60891e4a2e1
msg324223 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-08-28 08:41
New changeset e3f20828f6b7f59baa2d25437176ee32ae7700b0 by Serhiy Storchaka (Miss Islington (bot)) in branch '3.7':
bpo-34171: Fix test_trace. (GH-8940) (GH-8951)
https://github.com/python/cpython/commit/e3f20828f6b7f59baa2d25437176ee32ae7700b0
History
Date User Action Args
2018-12-15 14:03:24cheryl.sabellasetstatus: open -> closed
stage: patch review -> resolved
2018-08-28 08:41:52serhiy.storchakasetmessages: + msg324223
2018-08-27 10:11:00miss-islingtonsetpull_requests: + pull_request8427
2018-08-27 10:10:46serhiy.storchakasetmessages: + msg324163
2018-08-26 17:15:58zach.waresetmessages: + msg324126
2018-08-26 15:24:15serhiy.storchakasetmessages: + msg324121
2018-08-26 15:22:10serhiy.storchakasetstage: resolved -> patch review
pull_requests: + pull_request8413
2018-08-26 15:10:50pablogsalsetmessages: + msg324120
2018-08-26 07:22:02zach.waresetmessages: + msg324112
2018-08-25 15:55:41zach.waresetmessages: + msg324074
2018-08-25 13:17:20pablogsalsetnosy: + zach.ware
messages: + msg324065
2018-08-25 13:12:56serhiy.storchakasetmessages: + msg324064
2018-08-25 12:33:38pablogsalsetstatus: closed -> open
nosy: + pablogsal
messages: + msg324062

2018-08-25 08:25:58serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-08-25 07:47:25miss-islingtonsetnosy: + miss-islington
messages: + msg324049
2018-08-25 07:28:07miss-islingtonsetpull_requests: + pull_request8392
2018-08-25 07:27:58serhiy.storchakasetmessages: + msg324045
2018-08-20 21:48:51serhiy.storchakasetnosy: + berker.peksag
2018-08-20 21:48:27serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg323812
2018-08-20 21:46:00serhiy.storchakasetpull_requests: + pull_request8315
2018-08-03 21:54:54berker.peksagsetkeywords: + patch
stage: patch review
pull_requests: + pull_request8161
2018-08-03 14:52:06ZackerySpytzsetnosy: + ZackerySpytz
messages: + msg323057
2018-07-20 16:08:57dokocreate